
def random_chat_message(message_id, content):
    from autobahn.wamp import WampProtocol, ApplicationSession
    from autobahn.twisted import WampFactory
    
    class MySession(ApplicationSession):
        def on_message(self, message):
            print(f"Received message: {message}")
    
    factory = WampFactory(MySession)
    protocol = WampProtocol()
    protocol.session = MySession()
    
    def send_message(session, message_id, content):
        session.on_message(content)
    
    return send_message



